Skip to main content

Generate Storage Integration Authorization Materials (V2)

This operation generates provider-specific authorization materials that are required before creating or validating a storage integration.

POST/v2/storageIntegrations/authorizationMaterials
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Body
projectIdstringrequired

The ID of the project.

regionIdstringrequired

The ID of the region. The server uses this field to derive the cloud provider.

bucketNamestringrequired

The bucket, container, or storage name used to generate policies or credentials.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "gcp-us-central1",
"bucketName": "my-gcs-bucket"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations/authorizationMaterials" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "azure-eastus",
"bucketName": "my-blob-container"
}'
Responses

Returns provider-specific authorization materials.

A success response for AWS S3.

codeinteger<int32>

Response code.

Example Value: 0
dataobject

Returns the AWS S3 authorization materials.

readonlystring

Read-only access policy document.

readwritestring

Read-write access policy document.

iamPolicystring

IAM policy document for accessing the storage bucket.

ramPolicystring

RAM policy document for accessing the storage bucket.

trustPolicystring

Trust policy document for the role to be assumed.

zillizAccountstring

Zilliz Cloud account that needs to be authorized.

externalIdstring

External ID used when assuming the role.

permissionarray

Permissions required for the storage integration.

[]permissionstring

A permission to grant on the GCP bucket. The authorization materials produced for the storage integration cover each listed permission.

googleCloudServiceAccountstring

Google Cloud service account to be granted access.

credentialobject

Azure credential material for the storage integration.

clusterIssuerUrlstring

OIDC issuer URL of the cluster.

namespacestring

Kubernetes namespace of the service account.

serviceAccountNamestring

Name of the Kubernetes service account.

A success response for GCP GCS.

codeinteger

Response code.

Example Value: 0
dataobject

Returns the GCP GCS authorization materials.

permissionarray

The GCP bucket permissions to grant.

[]permissionstring

A GCP bucket permission to grant for the storage integration.

googleCloudServiceAccountstring

The Zilliz-managed Google Cloud service account email.

A success response for Azure Blob.

codeinteger

Response code.

Example Value: 0
dataobject

Returns the Azure Blob authorization materials.

credentialobject

Azure authorization credential information.

clusterIssuerUrlstring

The cluster issuer URL for Azure federated identity.

namespacestring

The Kubernetes namespace used by the Zilliz service account.

serviceAccountNamestring

The Zilliz service account name.

A failure response.

codeinteger

Response code.

Example Value: 1800
messagestring

Error message.

Example Value: User hasn't authenticated
AWS S3json
{
"code": 0,
"data": {
"readonly": "{...}",
"readwrite": "{...}",
"iamPolicy": "{...}",
"trustPolicy": "{...}",
"zillizAccount": "306787409409",
"externalId": "zilliz-external-AbCdEf12345678"
}
}